<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.2.4.RELEASE</version>
	</parent>

	<groupId>com.mosty</groupId>
	<artifactId>mosty-dyga-cloud</artifactId>
	<packaging>pom</packaging>
	<version>1.0.0-SNAPSHOT</version>
	<modules>
		<module>mosty-base</module>
		<module>mosty-bkzx</module>
		<module>mosty-hczx</module>
		<module>mosty-gateway</module>
		<module>feign-client-api</module>
		<module>mosty-jcgl</module>
		<module>mosty-qwzx</module>
		<module>mosty-rzzx</module>
		<module>mosty-sjzx</module>
		<module>mosty-spxl</module>
		<module>mosty-wzzx</module>
		<module>mosty-yjzl</module>
		<module>mosty-yszx</module>
		<module>mosty-rwzx</module>
		<module>mosty-other</module>
		<module>mosty-websocket</module>
    </modules>
	<name>mosty-cloud</name>
	<description>智羽项目为服务基础框架</description>
	<properties>
		<java.version>1.8</java.version>
		<spring-boot-admin.version>2.2.0</spring-boot-admin.version>
		<spring-cloud-dependencies.version>Hoxton.SR8</spring-cloud-dependencies.version>
		<spring-boot-dependencies.version>2.3.2.RELEASE</spring-boot-dependencies.version>
	</properties>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>de.codecentric</groupId>
				<artifactId>spring-boot-admin-dependencies</artifactId>
				<version>${spring-boot-admin.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>

			<!--子项目依赖-->
			<dependency>
				<groupId>com.mosty</groupId>
				<artifactId>mosty-yjzl</artifactId>
				<version>${project.version}</version>
			</dependency>

			<dependency>
				<groupId>com.mosty</groupId>
				<artifactId>mosty-jcgl</artifactId>
				<version>${project.version}</version>
			</dependency>

			<dependency>
				<groupId>com.mosty</groupId>
				<artifactId>mosty-base-feign-sdk</artifactId>
				<version>${project.version}</version>
			</dependency>

			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-dependencies</artifactId>
				<version>${spring-boot-dependencies.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>

			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-dependencies</artifactId>
				<version>${spring-cloud-dependencies.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>

</project>
